import { Tooltip } from "antd"
import React from "react"
import './index.less'
export function columnsMp(): any {
    return [
        {
            title: 'ID',
            dataIndex: 'id',
            key: 'id',
            align: 'center',
            width: 55
        },
        {
            title: '广告主ID',
            dataIndex: 'accountId',
            key: 'accountId',
            align: 'center',
            width: 100,
        },
        {
            title: '类型',
            dataIndex: 'sourceType',
            key: 'sourceType',
            align: 'center',
            width: 70,
            render: (a: any, b: any) => {
                return <span>{a == 0 ? '微信' : 'QQ'}</span>
            }
        },
        {
            title: '公众号信息',
            dataIndex: 'wechatAccountName',
            key: 'wechatAccountName',
            width: 150,
            align: 'center',
            render: (a: any, b: any) => {
                return <div className="verticalCenter">
                    <div><strong>{a}</strong></div>
                    <div style={{ color: "rgb(136, 136, 136)", fontSize: 13 }}>{b?.wechatAccountId}</div>
                </div>
            }
        },
        {
            title: '企业名称',
            dataIndex: 'corporationName',
            key: 'corporationName',
            width: 150,
            align: 'center',
            ellipsis: true
        },
        {
            title: '服务商ID列表',
            dataIndex: 'agencyIdList',
            key: 'agencyIdList',
            width: 130,
            align: 'center',
            render: (a: any) => {
                return <Tooltip title={a}>
                    <div className="name-wrapper">
                        <p>{ a }</p>
                    </div>
                </Tooltip>
            }
        },
        {
            title: '行业ID',
            dataIndex: 'systemIndustryId',
            key: 'systemIndustryId',
            width: 130,
            align: 'center',
            render: (a: any) => {
                return <Tooltip title={a}>
                    <div className="name-wrapper">
                        <p>{ a }</p>
                    </div>
                </Tooltip>
            }
        },
        {
            title: '授权状态',
            dataIndex: 'authStatus',
            key: 'authStatus',
            width: 80,
            align: 'center',
        },
        {
            title: '日限额(分)',
            dataIndex: 'dailyBudget',
            key: 'dailyBudget',
            align: 'center',
            width: 100
        },
        {
            title: '授权时间',
            dataIndex: 'createTime',
            key: 'createTime',
            align: 'center',
            width: 120
        },
    ]
}